Jump to content
×
×
  • Create New...
  • 0

Erro pagseguro


Question

Galera estou tento o seguinte erro quando o clica pra fazer a doação do pagseguro

 

Fatal error: Uncaught exception 'Exception' with message 'PagSeguroLibrary: cURL library is required.' in C:\xampp\htdocs\custom_scripts\PagSeguroLibrary\utils\PagSeguroHttpConnection.class.php:33 Stack trace: #0 C:\xampp\htdocs\custom_scripts\PagSeguroLibrary\service\PagSeguroPaymentService.class.php(73): PagSeguroHttpConnection->__construct() #1 C:\xampp\htdocs\custom_scripts\PagSeguroLibrary\domain\PagSeguroPaymentRequest.class.php(627): PagSeguroPaymentService::createCheckoutRequest(Object(PagSeguroAccountCredentials), Object(PagSeguroPaymentRequest), false) #2 C:\xampp\htdocs\dntpagseguro.php(21): PagSeguroPaymentRequest->register(Object(PagSeguroAccountCredentials)) #3 {main} thrown in C:\xampp\htdocs\custom_scripts\PagSeguroLibrary\utils\PagSeguroHttpConnection.class.php on line 33

 

 

@EDIT

Erro que esta acusando Line 33

 

            throw new Exception('PagSeguroLibrary: cURL library is required.');

Edited by vitinhoo96
Link to post
Share on other sites

Recommended Posts

  • 0

Pela mensagem não tá conseguindo encontrar então qual a versão do php também está utilizando ?

 

Tem que ver se o script desse PagSeguro é compatível com a versão do php que você está usando.

Link to post
Share on other sites
  • 0
1 minuto atrás, Akzs disse:

Pela mensagem não tá conseguindo encontrar então qual a versão do php também está utilizando ?

 

Tem que ver se o script desse PagSeguro é compatível com a versão do php que você está usando.

Aonde veja a versão do php?

Link to post
Share on other sites
  • 0

Cria um arquivo na pasta htdocs do xampp o nome pode ser qualquer um dentro do arquivo coloca 

 

<?php

phpinfo();

?>

 

Vai te retornar a versão do php.

 

Geralmente os sites de tíbias/derivados usa-se php 5.6

Link to post
Share on other sites
  • 0
3 minutos atrás, Akzs disse:

Cria um arquivo na pasta htdocs do xampp o nome pode ser qualquer um dentro do arquivo coloca 

 

<?php

phpinfo();

?>

 

Vai te retornar a versão do php.

 

Geralmente os sites de tíbias/derivados usa-se php 5.6

fiz o arquivo e colei dentro o 

<?php

phpinfo();

?>

 

mas não apareceu nada

 

Link to post
Share on other sites
  • 0
1 minuto atrás, Akzs disse:

Baixa o xampp com php 5.6

Qual web site está utilizando ?

Gesior acc 2019

 

ta escirto assim na descrição 

3 - Como instalar

- Utilize XAMPP / Uniform Server com PHP 5.6 para abrir o site sem erros.

Link to post
Share on other sites
  • 0
1 minuto atrás, Akzs disse:

Exatamente 

Baixa o xampp com o php 5.6

 

Clique aqui pra fazer o download.

 

Vou deixar o link aqui pra você já.

Blz vou baixar e testar, caso funcionar volto pra avisar se não funcionar volto pra fala tb kk

por enquanto obrigado !!!

19 minutos atrás, Akzs disse:

Exatamente 

Baixa o xampp com o php 5.6

 

Clique aqui pra fazer o download.

 

Vou deixar o link aqui pra você já.

Desculpe o dooble post, entao baixei instalei ai vou instalar o site não vai, digito localhost pra instlar não vai abre um site do xampp http://localhost/dashboard/

Link to post
Share on other sites
  • 0
19 minutos atrás, vitinhoo96 disse:

Blz vou baixar e testar, caso funcionar volto pra avisar se não funcionar volto pra fala tb kk

por enquanto obrigado !!!

Desculpe o dooble post, entao baixei instalei ai vou instalar o site não vai, digito localhost pra instlar não vai abre um site do xampp http://localhost/dashboard/

Apaga tudo da pasta htdocs e coloca seu site lá.

Link to post
Share on other sites
  • 0
5 minutos atrás, Akzs disse:

Apaga tudo da pasta htdocs e coloca seu site lá.

Error occured!

Error ID:
More info: CANNOT CONNECT TO DATABASE: SQLSTATE[HY000] [1045] Access denied for user 'root'@'localhost' (using password: YES)

File: C:\xampp\htdocs\classes/database_mysql.php   Line: 22
File: C:\xampp\htdocs\classes/database.php   Line: 199
File: C:\xampp\htdocs\pages/latestnews.php   Line: 18
File: C:\xampp\htdocs\system/load.page.php   Line: 7
File: C:\xampp\htdocs/index.php   Line: 37

 

 

Edited by vitinhoo96
Link to post
Share on other sites
  • 0

Erro de conexão com o banco de dados

Padrão do xampp ele vem com login root

Porém vem sem nenhuma senha 

 

Então provavelmente seu site tá com senha do mysql aí só retirar eu configurar a senha no xampp

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now